# Uses of Interface
org.eclipse.ecf.core.IContainerFactory

Packages that use IContainerFactory
Package
Description
org.eclipse.ecf.core
org.eclipse.ecf.core.util
org.eclipse.ecf.osgi.services.remoteserviceadmin

## Uses of IContainerFactory in org.eclipse.ecf.core

Classes in org.eclipse.ecf.core that implement IContainerFactory
Modifier and Type
Class
Description
`class`
`ContainerFactory`
Factory for creating `IContainer` instances.
Methods in org.eclipse.ecf.core that return IContainerFactory
Modifier and Type
Method
Description
`IContainerFactory`
ContainerFactory.`getContainerFactory()`
`IContainerFactory`
IContainerManager.`getContainerFactory()`
Get container factory associated with this container manager.
`static IContainerFactory`
ContainerFactory.`getDefault()`

## Uses of IContainerFactory in org.eclipse.ecf.core.util

Methods in org.eclipse.ecf.core.util that return IContainerFactory
Modifier and Type
Method
Description
`IContainerFactory`
ContainerFactoryTracker.`getContainerFactory()`

## Uses of IContainerFactory in org.eclipse.ecf.osgi.services.remoteserviceadmin

Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin that return IContainerFactory
Modifier and Type
Method
Description
`protected IContainerFactory`
AbstractContainerSelector.`getContainerFactory()`